Name:		svnmailer
Version:	1.0.9
Release:	9%{?dist}
Summary:	Tool to post subversion repository commit information
License:	ASL 2.0
URL:		http://opensource.perlig.de/svnmailer/
Source0:	http://storage.perlig.de/svnmailer/svnmailer-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	python2 >= 2.3
BuildRequires:	python2-devel
BuildRequires:	subversion-python >= 1.0.0
Requires:	subversion-python >= 1.0.0

%description
Svnmailer is a tool to post subversion repository commit information by mail,
news or XML (to a CIA tracker for example).

%package doc
Summary:	Developer and API documentation for svnmailer

%description doc
This package contains developer information and API documentation for the
svnmailer tool.

%prep
%setup -q

%build
%py2_build

%install
%py2_install "--install-data=%{_datadir}"

%files
%license LICENSE NOTICE
%doc CHANGES CREDITS README
%{_bindir}/svn-mailer
%{_mandir}/man1/svn-mailer.1*
%{python_sitelib}/svnmailer/
%{python_sitelib}/svnmailer-%{version}-py2.*.egg-info

%files doc
%doc docs/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Paul Howarth <paul@city-fan.org> - 1.0.9-8
- Modernize spec
  - Drop support for old Fedora and EL releases
  - Use %%license
  - Use new %%py2_build and %%py2_install macros
  - Include egg-info unconditionally
  - Drop redundant Group: and BuildRoot: tags
  - Drop redundant %%python_sitelib definition
  - Drop redundant buildroot cleaning

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 19 2012 Paul Howarth <paul@city-fan.org> - 1.0.9-1
- Update to 1.0.9
  - Support subversion 1.7 API
  - Fix compatibility with python ≥ 2.5
  - Fix double escaping of commit messages
  - Add svn-mailer manpage
- Drop upstreamed patch for #438112

* Fri Oct 19 2012 Paul Howarth <paul@city-fan.org> - 1.0.8-14
- Spec clean-up:
  - BR:/R: subversion-python from F-15 onwards
  - Drop %%defattr, redundant since rpm 4.4
  - Use %%{buildroot} rather than the longer $RPM_BUILD_ROOT
  - Use %%global rather than %%define
  - Cope with builds with or without egg-info
  - Don't use macros for commands
  - No need to specify CFLAGS for noarch package
  - Use tabs

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.8-7
- Rebuild for Python 2.6

* Fri Sep 5 2008 Sven Lankes <sven@lank.es> 1.0.8-6
- Fix license tag
- Correct patch invocation

* Tue Apr 8 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-5
- Update Requires (remove obsolete abi() generation)
- Add patch to fix crash when sending multipart messages (bz# 438112)
- Update BuildRequires to fix bz# 440784
- Add egg-info files

* Sat Dec 9 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-3
- Rebuild for python 2.5

* Sun Sep 3 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-2
- Rebuild
- No longer ghost .pyo files

* Mon May 8 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-1
- Initial import into Fedora Extras
- Update to new upstream version

* Tue Feb 28 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.7-1
- Update to new upstream version

* Wed Feb 8 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-3
- Use newer python template from fedora-rpmdevtools
- Corrected license entry
- Split off API / dev docs into subpackage

* Tue Feb 7 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-2
- Respun spec following comments from roozbeh

* Sun Feb 5 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-1
- Initial review package for Fedora Extras

